#!/usr/bin/env bash

# Directory to copy/hardlink mods to
TARGET_DIR="${HOME}/.local/share/Paradox Interactive/Stellaris/mod/"

# Create the target directory if it doesn't exist
mkdir -p "$TARGET_DIR"

# Loop through each subdirectory in the same directory as the script
for mod_dir in */; do
    # Remove trailing slash from directory name
    mod_name="${mod_dir%/}"

    # Path to the .mod file with the same name as the directory
    mod_file="${mod_name}.mod"

    # Check if the .mod file exists
    if [ -f "$mod_file" ]; then
        echo "Processing mod: $mod_name"

        # Remove existing .mod file if it exists
        if [ -f "$TARGET_DIR$mod_file" ]; then
            rm "$TARGET_DIR$mod_file"
        fi

		# Hardlink the .mod file to the target directory
        ln "$mod_file" "$TARGET_DIR$mod_file"
	else
		echo "Warning: .mod file for $mod_name not found, skipping."
	fi
done

echo "Mod linking completed."
